## sgrep 1.94a

=== debian/changelog ===
sgrep (1.94a-7) unstable; urgency=medium

  * Convert to source format 3.0 (Closes: #1007530)
  * d/copyright: Convert to machine-readable format
  * Fix typo in man page (Closes: #654446)

 -- Uwe Steinmann <steinm@debian.org>  Mon, 22 Apr 2024 07:30:22 +0200

sgrep (1.94a-6) unstable; urgency=low

  * fix build errors (Closes: #1066053)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 15 Mar 2024 09:18:52 +0100

sgrep (1.94a-5) unstable; urgency=low

  * use debhelper in build process (Closes: #999006)
  * update to compat level 13 (Closes: #965815)

 -- Uwe Steinmann <steinm@debian.org>  Sat, 18 Dec 2021 12:26:01 +0100

sgrep (1.94a-4) unstable; urgency=low

  * Fixed typos in man page (Closes: #496168)
  * added missing options to man page (Closes: #193722)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 19 Mar 2009 08:50:30 +0100

sgrep (1.94a-3) unstable; urgency=low

  * Read sgreprc from /etc instead of /usr/share where it has
    never been.

 -- Uwe Steinmann <steinm@debian.org>  Fri, 04 Jan 2008 13:29:28 +0100

sgrep (1.94a-2) unstable; urgency=low

  * Updated Maintainer field
  * fixed lintian warning (disregarded make clean error)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 04 Jan 2008 11:46:21 +0100

sgrep (1.94a-1) unstable; urgency=low

  * New maintainer (closes: #407648)
  * New upstream release

 -- Uwe Steinmann <steinm@debian.org>  Wed, 18 Apr 2007 13:31:20 +0200

sgrep (1.92a-12) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Jan 2007 11:28:00 +0100

sgrep (1.92a-11) unstable; urgency=low

  * New email address.
  * Bumped policy version.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Sep 2006 11:23:00 +0200

sgrep (1.92a-10) unstable; urgency=low

  * Added watch file.
  * Bumped policy version.
  * Minor formal cleanups.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Mon, 24 Oct 2005 15:19:00 +0200

sgrep (1.92a-9) unstable; urgency=low

  * updated to new policy.
  * formal cleanups and fixed lintian errors.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Tue, 15 Mar 2005 13:48:00 +0100

sgrep (1.92a-8) unstable; urgency=low

  * debian/rules: formal cleanups.
  * debian/control: removed useless ${misc:Depends}, added m4 as depency (Closes: #287144).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Sat, 25 Dec 2004 11:18:00 +0100

sgrep (1.92a-7) unstable; urgency=low

  * New maintainer (Closes: #260113)
  * debian/*: updated to new debian policy
  * debian/docs: removed AUTHORS (obsolete by debian/copyright)

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Thu, 12 Aug 2004 07:29:24 +0200

sgrep (1.92a-6) unstable; urgency=low

  * Uploading with maintainer set to QA group
  * debian/postinst: removed, as it only set /usr/doc symlink
  * debian/rules: adjusted for removal of debian/postinst
  * debian/rules: compress manpage
  * debian/rules: strip binary

 -- Andrew Pollock <apollock@debian.org>  Fri, 12 Mar 2004 22:46:55 +1100

sgrep (1.92a-5) unstable; urgency=low

  * Mark sgreprc as a conffile. (closes: #95865)
  * Note correct location of sgreprc on man page.

 -- Jim Studt <jim@federated.com>  Thu, 15 Nov 2001 20:56:07 -0600

sgrep (1.92a-4) unstable; urgency=low

  * jim@federated.com takes over package.
  * Fix parser to handle backslashed quotation marks in patterns. 
    (closes Bug#79495) (closes Bug#69450)
  * Add a Depends: m4.  Not strictly true, its possible to avoid it, but I
    suspect its true for nearly everyone. (close Bug#76296)

 -- Jim Studt <jim@federated.com>  Fri, 15 Dec 2000 17:22:19 -0600

sgrep (1.92a-3) unstable; urgency=low

  * FHS-compliant
  * Cleanup debian/rules and de-debhelperize it in the process
  * No longer provide md5sums

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  8 Sep 1999 02:52:09 +0200

sgrep (1.92a-2) unstable; urgency=low

  * Don't die in clean target if makefile doesn't exist

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 26 May 1999 01:46:46 +0200

sgrep (1.92a-1) unstable; urgency=low

  * New upstream version

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 14 Mar 1999 22:55:04 +0100

sgrep (0.99-7) unstable; urgency=low

  * Oops, remove bugreport from diff

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 25 Jul 1998 03:29:15 +0200

sgrep (0.99-6) unstable; urgency=low

  * Added more macros from Craig Sanders (Bug# 17074)
  * Switch to debhelper

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 25 Jul 1998 03:14:05 +0200

sgrep (0.99-5) unstable; urgency=low

  * New maintainer
  * Corrected standards-version

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 16 May 1998 23:58:50 +0200

sgrep (0.99-4.2) frozen unstable; urgency=low

  * Non maintainer release.
  * Recovered from orphaned.
  * Changed reference in copyright to /usr/doc/copyright/GPL (no .gz)
  * Bumped Standards-Version. 
  * Added call to dh_md5sums to fix md5sums file (Fixes 18684,19403)
  * Changed "Recommends: wish" to "Suggests: wish" (Fixes 15022,19680)
  * Removed symlink from sgtools.1.gz to undocumented.7.gz (no bug had
    been filed against sgtools to allow this link) (Fixes 20424)
  
 -- Anthony Towns <ajt@debian.org>  Thu, 16 Apr 1998 22:38:05 +1000

sgrep (0.99-4.1) unstable; urgency=low

  * Non-maintainer release
  * recompiled against libc6
  * changed to recommend wish (closes Bug#12353)

 -- Rob Browning <rlb@cs.utexas.edu>  Sun, 23 Nov 1997 10:37:13 -0600

sgrep (0.99-4) unstable; urgency=low

  * sgtool manual page linked to /usr/man/man7/undocumented.7.gz

 -- J. Ramos Goncalves <ramos@debian.org>  Sat, 22 Mar 1997 21:24:00 +0000

sgrep (0.99-3) unstable; urgency=low

  * Depends field changed from libc5 to ${shlibs:Depends}
  * sgrep binary now looks for /etc/sgreprc instead of /usr/lib/sgreprc. 

 -- J. Ramos Goncalves <ramos@debian.org>  Mon, 24 Feb 1997 23:57:30 +0000

sgrep (0.99-2) unstable; urgency=low

  * New maintainer. 

 -- J. Ramos Goncalves <ramos@debian.org>  Fri, 14 Feb 1997 02:51:28 +0000


