=== debian/control ===
Source: sgrep
Section: text
Priority: optional
Maintainer: Uwe Steinmann <steinm@debian.org>
Build-Depends: debhelper (>= 13), m4
Standards-Version: 4.4.0
Rules-Requires-Root: no

Package: sgrep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, m4
Description: tool to search a file for structured pattern
 A tool for searching text files and filtering text streams for structured
 criteria. Sgrep implements a query language based on so called region
 expressions.
 .
 Like grep, sgrep can be used for any kind of text files. However it is most
 useful for text files containing some kind of structured text. A file
 containing structured text could be defined as a file, which obeys some syntax.
 Examples of structured text files are SGML, HTML, C, TeX and mail files.
