=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure :
	dh_auto_configure -- --datadir=/usr/share/sgrep

override_dh_install :
	install -d -m 755 debian/sgrep/etc
	mv debian/sgrep/usr/share/sgrep/sample.sgreprc debian/sgrep/etc/sgreprc
	rmdir debian/sgrep/usr/share/sgrep
