=== debian/watch ===
version=3
ftp://ftp.cs.helsinki.fi/pub/Software/Local/Sgrep/sgrep-(.*)\.tar\.gz debian uupdate
